<div class="common-profile-header">{{'labelReviewRating' | translate: lang}}</div>
  <div class="container" *ngIf="ratingReviewList !== undefined && ratingReviewList.length > 0">
    <div class="row ratings-reviwes" *ngFor="let ratingReview of ratingReviewList">
        <div class="col-md-2">
            <div class="review-img"><img src="{{ratingReview.productImage}}"></div>
        </div>
        <div class="col-md-9 my-rating-wrap">
          <div class="product-wrap">
            <div class="review-prod-name">{{ratingReview.productName}}</div>
            <div class="rating"><span class="rating-icon">{{ratingReview.productRating}}★</span></div>
            <div class="review-rat-title">{{ratingReview.reviewTitle}}</div>
            <div class="review-rat-desc">{{ratingReview.reviewMessage}}</div>
            <div class="review-date">{{ratingReview.reviewDate | customDate}}</div>
          </div>
          <div class="reply-wrap" *ngIf ="ratingReview.replyCount > 0">{{ratingReview.replyCount}} {{ratingReview.replyCount | i18nPlural: pluralMapping['replyCount'] | translate:lang}}</div>
        </div>
        <div class="col-md-1 add-btn" >
            <button (click)="deleteReview(ratingReview)" type="button" class="btn btn-light" [title]="'titleDelete' | translate:lang">
              <i class="far fa-trash-alt" aria-hidden="true" ></i>
            </button>
        </div>
    </div>
    <div *ngIf="reviewTotalLength > startLimit" class="pagination">
        <div class="tech-value">
          <button [disabled]="currentPage === 1" (click)="showProductsLeft()" mat-raised-button color="primary" class="btn btn-default"> < </button>
        </div>
        <div class="tech-value">
          <button [disabled]="currentPage === totalPages" (click)="showProductsRight()" mat-raised-button color="primary" class="btn btn-default"> > </button>
        </div>
    </div>
  </div>
  <div class="nodata-found-wrap-1" *ngIf="(ratingReviewList === undefined || ratingReviewList.length === 0) && !isLoading">
    {{'LABEL_NO_REVIEWS' | translate: lang}}
  </div>
